import GameData from '../GameData';
// Learn TypeScript:
//  - [Chinese] https://docs.cocos.com/creator/manual/zh/scripting/typescript.html
//  - [English] http://www.cocos2d-x.org/docs/creator/manual/en/scripting/typescript.html
// Learn Attribute:
//  - [Chinese] https://docs.cocos.com/creator/manual/zh/scripting/reference/attributes.html
//  - [English] http://www.cocos2d-x.org/docs/creator/manual/en/scripting/reference/attributes.html
// Learn life-cycle callbacks:
//  - [Chinese] https://docs.cocos.com/creator/manual/zh/scripting/life-cycle-callbacks.html
//  - [English] http://www.cocos2d-x.org/docs/creator/manual/en/scripting/life-cycle-callbacks.html

const {ccclass, property} = cc._decorator;

@ccclass
export default class Player extends cc.Component {

    // LIFE-CYCLE CALLBACKS:

    // onLoad () {}

    start () {
        this.node.zIndex = 999;
    }

    move(vector: cc.Vec2)
    {
        let openGL = GameData.game.mapToOpenGL(this.node.position);
        let tile = GameData.game.openGLToTile(openGL);
        let target = this.node.getPosition().add(vector);
        let openGLTarget = GameData.game.mapToOpenGL(target);
        let tileTarget = GameData.game.openGLToTile(openGLTarget);

        this.node.setPosition(target);
    }
}
